Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026291
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2014-04-15 18:192014-05-16 12:09
ReporterjecharriView Statuspublic 
Assigned Tomalsasua 
PriorityimmediateResolutionfixedFixed in VersionRR14Q3
StatusclosedFix in branchFixed in SCM revisioncdde7ae87770
ProjectionnoneETAnoneTarget VersionRR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026291: Buy X pay Y of different product is not calculating fine the total

DescriptionBuy X pay Y of different product is not calculating fine the total
Steps To Reproduce-Configure web pos to work with a price list without taxes
-Using the discount 3 x 2 Bottles (in definition configure to Apply to Lowest Price and also distribute amount between lines) configure the products with tax exempt tax category

-Configure the price of 2 product to 63.90 and another one to 9.90

Go to web pos:
-add 3 product to the ticket
-You will see that total is 127.81 instead of 127.80
TagsNo tags attached.
Attached Filespng file icon Pantallazo.png [^] (128,596 bytes) 2014-04-15 18:20

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0066726)
malsasua (developer)
2014-04-30 20:59

Another error has been detected and fixed in this commit:
. when is distributed, the discount is applied to all qty of the line, no to the qty discount
(0066727)
hgbot (developer)
2014-04-30 21:00

Repository: erp/pmods/org.openbravo.retail.discounts
Changeset: cdde7ae87770ac9d8962dadf304e99e12c5803cc
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Wed Apr 30 21:00:24 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/cdde7ae87770ac9d8962dadf304e99e12c5803cc [^]

fixed issue 0026291: Buy X pay Y of different product is not calculating fine the total

---
M web/org.openbravo.retail.discounts/js/promotion-XYdifferentProduts.js
---

- Issue History
Date Modified Username Field Change
2014-04-15 18:19 jecharri New Issue
2014-04-15 18:19 jecharri Assigned To => malsasua
2014-04-15 18:19 jecharri Triggers an Emergency Pack => No
2014-04-15 18:20 jecharri File Added: Pantallazo.png
2014-04-16 11:00 malsasua Note Added: 0066480
2014-04-30 20:59 malsasua Note Added: 0066726
2014-04-30 20:59 malsasua Note Deleted: 0066480
2014-04-30 21:00 hgbot Checkin
2014-04-30 21:00 hgbot Note Added: 0066727
2014-04-30 21:00 hgbot Status new => resolved
2014-04-30 21:00 hgbot Resolution open => fixed
2014-04-30 21:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/cdde7ae87770ac9d8962dadf304e99e12c5803cc [^]
2014-05-16 12:09 marvintm Review Assigned To => marvintm
2014-05-16 12:09 marvintm Status resolved => closed
2014-05-16 12:09 marvintm Fixed in Version => RR14Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker